/* input.h - human input for syncing etc */

#ifndef INPUT_H
#define INPUT_H

#include <stdio.h>
#include "types.h"

#define INPUT_LEN (3*60*100)
#define INPUT_NUM 4

#define input_cur(x) input[x][input_i]

typedef struct
{
  int16 x,y;
  uint8 b;
} input_t;

extern double input[INPUT_NUM][INPUT_LEN];
extern int input_i;

void input_record(void);
void input_smooth(int, double [INPUT_NUM][INPUT_LEN]);
void input_save(FILE *, char *);
void input_convert(input_t *, double [INPUT_NUM][INPUT_LEN]);

#endif
