#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define frand() ((double)rand()/(double)RAND_MAX)

int
main(int argc, char *argv[])
{
  int t,d,l,i,s;
  double zx,zy;
  
  if (argc<=3)
    {
      fprintf(stderr, "usage: buildbg <t> <d> <start> <len> <zx> <zy>\n");
      return 0;
    }
  
  t=atoi(argv[1]);
  d=atoi(argv[2]);
  s=atoi(argv[3]);
  l=atoi(argv[4]);
  zx=atof(argv[5]);
  zy=atof(argv[6]);
  
  i=s;
  while (i<l)
    {
      printf("%d %d %d 0 0 %lf %lf %lf 0\n", rand()%3+6, i,d,
             cos(frand()*M_PI)*0.02,
             zx+cos(frand()*M_PI)*0.04,
             zy+cos(frand()*M_PI)*0.04);
      i+=t;
    }

  return 0;
}
