#include <stdio.h>
#include <stdlib.h>
#include "script.h"

int read_entry(FILE *, script_t *);
void write_entry(FILE *, script_t *);

script_t script[1024];


int
read_entry(FILE *f, script_t *e)
{
  return (fscanf(f, "%d %d %d %d %d %lf %lf %lf %d\n", &e->p,&e->t,&e->d,&e->x,&e->y,&e->a,&e->u,&e->v,&e->f)==9)?0:1;
}

void
write_entry(FILE *f, script_t *s)
{
  fprintf(f, "%d %d %d %d %d %lf %lf %lf %d\n", s->p,s->t,s->d,s->x,s->y,s->a,s->u,s->v,s->f);
}

int
main(int argc, char *argv[])
{
  script_t *e;
  int i,n,t,k;
  int a,b,max,min,dif;

  if (argc<3) { fprintf(stderr,"usage: script-loop <time> <num>\n"); return 0; }

  a=atoi(argv[1]);
  b=atoi(argv[2]);
  
  n=0;
  while (!read_entry(stdin,&script[n])) n++;
  
  max=0;
  min=99999999;
  for (i=0;i<n;i++)
    {
      if (script[i].t<min)
        min=script[i].t;
      if (script[i].t>max)
        max=script[i].t;
    }
  for (i=0;i<n;i++)
    {
      script[i].t-=min;
//      fprintf(stderr,"i=%d,t=%d\n",i,script[i].t);
    }
  dif=max-min+25;
  
  t=a;
  for (i=0;i<b;i++)
    {
      for (k=0;k<n;k++)
        {
          e=&script[k];
          printf("%d %d %d %d %d %lf %lf %lf %d\n", e->p,e->t+t,e->d,e->x,e->y,e->a,e->u,e->v,e->f);
        }
      t+=dif;
    }
  
  return 0;
}
