/* list.h - circularly linked list */

#ifndef LIST_H
#define LIST_H

/* list structure */
typedef struct list_s
{
  void *key;
  struct list_s *next;
  struct list_s *prev;
} list_t;

/* function prototypes */
list_t *list_new(void *);
list_t *list_cat(list_t *, list_t *);
list_t *list_add_head(list_t *, void *);
list_t *list_add_tail(list_t *, void *);
list_t *list_remove(list_t *);
list_t *list_delete(list_t *);

#endif
